<?php
/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access.
defined('_JEXEC') or die;

/**
 * ExtStore Mood Poll Helper.
 *
 * @package		Joomla.Administrator
 * @subpackage	ExtStore.MoodPoll
 */
class MoodPollHelper {
	/**
	 * Configure the Linkbar.
	 *
	 * @param	string	The name of the active view.
	 */
	public static function addSubmenu($vName = '') {
		JHtmlSidebar::addEntry(
			JText::_('COM_MOODPOLL_SUBMENU_DASHBOARD'),
			'index.php?option=com_moodpoll&view=dashboard',
			$vName == 'dashboard'
		);

		JHtmlSidebar::addEntry(
			JText::_('COM_MOODPOLL_SUBMENU_MOODS'),
			'index.php?option=com_moodpoll&view=moods',
			$vName == 'moods'
		);


	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @param	int		The category ID.
	 * @return	JObject
	 */
	public static function getActions($categoryId = 0) {
		$user	= JFactory::getUser();
		$result	= new JObject();

		if (empty($categoryId)) {
			$assetName	= 'com_moodpoll';
		} else {
			$assetName	= 'com_moodpoll.category.' . (int) $categoryId;
		}

		$actions	= array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete',
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
}