<?php
/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access.
defined('_JEXEC') or die;

$xml	= simplexml_load_file(JPATH_ROOT . '/administrator/components/com_moodpoll/moodpoll.xml');
?>
<?php if(!empty( $this->sidebar)): ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
<?php else : ?>
<div id="j-main-container">
<?php endif;?>
	<div class="span7">
		<div class="well well-small">
			<div class="module-title nav-header">
				<?php echo JText::_('COM_MOODPOLL_DASHBOARD_STATISTICS'); ?>
			</div>
			<div class="row-striped row-fluid">
				<div class="moodpoll-statistics">
					<form id="adminForm" name="adminForm" class="clearfix" method="post" action="<?php echo JRoute::_('index.php?option=com_moodpoll&view=dashboard'); ?>">
						<div class="pull-left moodpoll-filter-input">
							<label class="control-label" for="start_date">
								<?php echo JText::_('COM_MOODPOLL_FILTER_START_DATE'); ?>
							</label>
							<?php echo JHtml::_('calendar', $this->state->get('filter.start_date'), 'start_date', 'start_date', '%Y-%m-%d %H:%M:%S'); ?>
						</div>
						<div class="pull-left moodpoll-filter-input">
							<label class="control-label" for="end_date">
								<?php echo JText::_('COM_MOODPOLL_FILTER_END_DATE'); ?>
							</label>
							<?php echo JHtml::_('calendar', $this->state->get('filter.end_date'), 'end_date', 'end_date', '%Y-%m-%d %H:%M:%S'); ?>
						</div>

						<button type="submit" class="btn">
							<i class="icon-bars"></i> <?php echo JText::_('COM_MOODPOLL_STATISTIC_VIEW'); ?>
						</button>
					</form>

					<ul class="moodpoll_graph">
						<?php foreach ($this->items as $item) : ?>
							<?php $percent	= $this->totalVotes ? round(100 * $item->votes / $this->totalVotes, 2) : 0; ?>

							<li class="clearfix">
								<div class="moodpoll_answer_title">
									<?php echo $item->title; ?>
								</div>
								<div class="moodpoll_answer_graph" data-percent="<?php echo $percent; ?>%">
									<div class="moodpoll_full_line">
										<div class="moodpoll_line" style="width: <?php echo $percent; ?>%"></div>
									</div>
									<div class="moodpoll_percent" style="width: <?php echo $percent; ?>%">
										<?php echo $percent; ?>%
									</div>
								</div>

								<div class="moodpoll_answer_votes">
									<?php echo JText::sprintf($item->votes > 1 ? 'COM_MOODPOLL_STATISTIC_N_VOTES' : 'COM_MOODPOLL_STATISTIC_N_VOTE', $item->votes); ?>
								</div>
							</li>
						<?php endforeach; ?>
					</ul>

					<div class="moodpoll_total">
						<?php echo JText::_('COM_MOODPOLL_STATISTIC_TOTAL'); ?>
						<span>
							<?php echo JText::sprintf($this->totalVotes > 1 ? 'COM_MOODPOLL_STATISTIC_N_VOTES' : 'COM_MOODPOLL_STATISTIC_N_VOTE', $this->totalVotes); ?>
						</span>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="span5">
		<?php echo $xml->description; ?>
	</div>
</div>

<?php
echo MoodPollFactory::getFooter();