<?php
/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.filesystem.folder');

/**
 * ExtStore Mood Poll Installer Script
 *
 * @package		Joomla.Install
 * @subpakage	ExtStore.MoodPoll
 */
class Com_MoodPollInstallerScript {

	protected function _install($parent) {
		$manifest		= $parent->get("manifest");
		$parent			= $parent->getParent();
		$source			= $parent->getPath("source");
		$module_attr	= $manifest->modules->attributes();
		$module_path	= isset($module_attr['folder']) ? '/' .$module_attr['folder'] : '';

		$installer	= new JInstaller();

		// Install modules.
		foreach ($manifest->modules->module as $module) {
			$attributes	= $module->attributes();
			$path		= $source.$module_path. '/' .$attributes['name'];
			$installer->install($path);
		}
	}
	
	/**
	 * Install.
	 *
	 * @param	$parent
	 */
	public function install($parent) {
		$this->_install($parent);
	}
	
	/**
	 * Update.
	 *
	 * @param	$parent
	 */
	 public function update($parent) {
	 	$this->_install($parent);
	 }
}