/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

if (!ExtStore) {
	var ExtStore = {};
}

ExtStore.MoodPoll = {
	init: function(selector) {
		jQuery(selector).each(function() {
			var $this	= jQuery(this);

			// select mood
			$this.find('.moodpoll-form .moodpoll-image').click(function() {
				$this.find('.moodpoll-form .moodpoll-image').removeClass('mood-selected');
				jQuery(this).addClass('mood-selected');

				$this.find('.moodpoll-form .moodpoll-error-select').hide('slide');
			});

			// show/hide result
			var button		= $this.find('.moodpoll-view-result-btn');

			if ($this.find('.moodpoll-form').length && !$this.data('show-result')) {
				ExtStore.MoodPoll.toggleResult($this);
			}

			button.click(function() {
				ExtStore.MoodPoll.toggleResult($this);
			});

			// ajax submit
			$this.find('.moodpoll-vote-btn').click(function(event) {
				event.preventDefault();

				var moodId	= $this.find('.moodpoll-form .moodpoll-image.mood-selected').data('mood-id');

				if (!moodId) {
					$this.find('.moodpoll-form .moodpoll-error-select').show('slide');
				} else {
					var $form	= jQuery(this.form);

					jQuery.ajax({
						url:	$form.attr('action'),
						method: 'post',
						data:	jQuery.param($form.find('input[type=hidden]')) + '&option=com_ajax&module=moodpoll&method=vote&format=raw&mood_id=' + moodId
					}).done(function(result) {
						if (result) {
							var id	= $this.attr('id');
							$this.replaceWith(result);

							// recall tooltip js
							jQuery('.moodpoll img').tooltip({
								html: true,
								container: 'body'
							});

							jQuery('#' + id).hide().fadeIn();
						} else {
							// HACK DETECTED
						}
					});
				}
			});
		});
	},

	toggleResult: function(el) {
		var button			= el.find('.moodpoll-view-result-btn');
		var resultWrap		= el.find('.moodpoll-result');
		var currentState	= button.data('show');

		if (currentState) {
			button.text(button.data('show-result'));
			button.data('show', 0);
		} else {
			button.text(button.data('hide-result'));
			button.data('show', 1);
		}

		resultWrap.slideToggle();
	}
};

jQuery(document).ready(function() {
	ExtStore.MoodPoll.init('.moodpoll');
});