<?php
/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('list');

/**
 * Mood Field class for the Joomla Framework.
 *
 * @package     Joomla.Site
 * @subpackage  mod_moodpoll
 */
class JFormFieldMoods extends JFormFieldList {
	public $type = 'Moods';

	/**
	 * Method to get a list of moods.
	 *
	 * @return  array  The field option objects.
	 */
	protected function getOptions() {
		$options 	= array();

		$db 	= JFactory::getDbo();
		$query 	= $db->getQuery(true)
			->select('a.id AS value, a.title AS text, a.state')
			->from('#__moodpoll_moods AS a')
		;

		// Filter on the published state

		$query->where('a.state = 1');

		$query->order('a.title ASC');

		// Get the options.
		$db->setQuery($query);

		try {
			$options = $db->loadObjectList();
		} catch (RuntimeException $e) {
			JError::raiseWarning(500, $e->getMessage);
		}

		return $options;
	}
}
