<?php
/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die;

$show_num_votes			= $params->get('show_num_votes', 1);
?>

<div class="moodpoll-result">
	<p class="moodpoll-total-result">
		<?php echo JText::_('MOD_MOODPOLL_TODAY_RESULT'); ?>
		<?php if ($show_num_votes) : ?>
			<span>
				<?php echo JText::sprintf($totalVotes < 2 ? 'MOD_MOODPOLL_N_VOTE' : 'MOD_MOODPOLL_N_VOTES', $totalVotes); ?>
			</span>
		<?php endif; ?>
	</p>

	<?php if ($message) : ?>
		<p class="moodpoll-message">
			<?php echo $message; ?>
		</p>
	<?php endif; ?>

	<?php if ($chosenMood) : ?>
		<div class="moodpoll-chosen-mood">
			<?php echo JHtml::_('image', $chosenMood->image, $chosenMood->title, 'title="' . $chosenMood->title . '"'); ?>
		</div>
	<?php endif; ?>

	<ul class="moodpoll-result-moods clearfix">
		<?php foreach ($items as $item) : ?>
			<?php $percent = $totalVotes > 0 ? round(100 * $item->votes / $totalVotes, 2) : 0; ?>
			<li class="moodpoll-result-image">
				<?php echo JHtml::_('image', $item->image, $item->title, 'title="' . $item->title . '"'); ?>

				<div class="moodpoll-vote-infrmation">
					<p class="moodpoll-percent">
						<?php echo JText::sprintf('MOD_MOODPOLL_N_PERCENT', $percent); ?>
					</p>

					<?php if ($show_num_votes) : ?>
						<p class="moodpoll-num-votes">
							<?php echo JText::sprintf($totalVotes < 2 ? 'MOD_MOODPOLL_N_VOTE' : 'MOD_MOODPOLL_N_VOTES', $item->votes); ?>
						</p>
					<?php endif; ?>
				</div>
			</li>
		<?php endforeach; ?>
	</ul>
</div>